.react-datepicker {
  margin-bottom: 1rem;
  width: 308px;

  &__current-month {
    font-weight: 700;
    text-align: center;
  }

  &__day-names {
    display: flex;
  }

  &__day-name {
    width: 40px;
    margin: 2px;
    text-align: center;
  }

  &__week {
    display: flex;
  }

  &__day {
    color: #343a40;
    border: 1px solid #343a40;
    border-radius: .25rem;
    cursor: pointer;
    line-height: 20px;
    margin: 2px;
    padding: 6px;
    text-align: center;
    width: 40px;

    &--one {
      background-color: #669933;
      border-color: #669933;
      color: #fff;
    }

    &--two {
      background-color: #87D728;
      border-color: #87D728;
    }

    &--three {
      background-color: #CEEF10;
      border-color: #CEEF10;
    }

    &--four {
      background-color: #F9FD02;
      border-color: #F9FD02;
    }

    &--five {
      background-color: #FFCC00;
      border-color: #FFCC00;
    }

    &--six {
      background-color: #FF9900;
      border-color: #FF9900;
    }

    &--seven {
      background-color: #EE5500;
      border-color: #EE5500;
      color: #fff;
    }

    &--eight {
      background-color: #DD2200;
      border-color: #DD2200;
      color: #fff;
    }

    &--more {
      background-color: #CC0000;
      border-color: #CC0000;
      color: #fff;
    }

    &--selected {
      color: #fff;
      background-color: #434f8b;
      border-color: #434f8b;
    }

    &:not(&--disabled) {
      &:hover {
        color: #fff;
        background-color: #434f8b;
        border-color: #434f8b;
      }
    }

    &:focus {
      box-shadow: 0 0 0 0.2rem rgba(67, 79, 139,.5);
    }

    &--disabled {
      cursor: default;
      opacity: .65;
    }

    &--outside-month {
      opacity: 0;
      pointer-events: none;
    }
  }
}
